<template>
  <nav class="grid-etape">
    <section class="mt-blue-pale"></section>
    <section class="grid-etape-item columns is-mobile">
      <div
        v-for="(etape, index) in etapes"
        :key="index"
        class="column"
        :class="{
          active: isActive(etape),
        }"
        @click="$emit('click', index)"
      >
        <p>{{ etape.ordre }}</p>
      </div>
    </section>
    <section class="grid-etape-item ligne2 columns is-mobile">
      <h4
        v-for="(etape, index) in etapes"
        :key="index"
        class="column"
        :class="{
          active: isActive(etape),
        }"
        @click="$emit('click', index)"
      >
        {{ etape.nom }}
        <small> {{ etape.description }}</small>
      </h4>
    </section>
  </nav>
</template>

<script>
export default {
  name: 'MtListEtapes',
  props: {
    etapes: {
      type: Array,
      default: () => [],
    },
    etapeSelected: {
      type: Object,
      default: () => ({}),
    },
  },
  methods: {
    isActive(etape) {
      return this.etapeSelected.id === etape.id;
    },
  },
};
</script>

<style scoped lang="scss">
@import '~/assets/css/_variables';

.grid-etape {
  --page-size: #{$mt-container-width};
  display: grid;
  grid-template-columns: auto minmax(auto, var(--page-size)) auto;

  .grid-etape-item {
    grid-column: 2;
    text-align: center;

    &.ligne2 {
      grid-row: 2;
    }
    div {
      display: flex;
      justify-content: center;
      cursor: pointer;
      position: relative;
    }

    p:hover,
    div.active p {
      background-color: $primary;
      box-shadow: 0 1px 2px 0 #b8b8b8;
      color: $white;

      &:after {
        background-color: $primary;
      }
    }
    p {
      display: flex;
      flex-direction: column;
      height: 1.6875rem;
      width: 1.6875rem;
      border-radius: 50%;
      align-items: center;
      justify-content: center;
      margin: 0.5rem;
      font-size: 0.875rem;
      color: $periwinkle-blue;

      background-color: transparent;
      box-shadow: 0 1px 2px 0 transparent;

      transition-property: background-color, color, box-shadow;
      transition-duration: 0.3s;

      &:after {
        content: '';
        --size: 0.375rem;
        width: var(--size);
        height: var(--size);
        background-color: $periwinkle-blue;
        border-radius: 50%;
        bottom: 1px;
        position: absolute;

        transition-property: background-color;
        transition-duration: 0.3s;
      }
    }
    h4 {
      color: $grey-dark;
      font-size: 0.9375rem;
      padding: 0.75rem;

      transition-property: color;
      transition-duration: 0.3s;

      cursor: pointer;

      &:hover,
      &.active {
        color: $primary;
      }
      &.active {
        font-weight: bold;
      }

      small {
        display: block;
        font-size: 0.625rem;
      }
    }
  }
  .mt-blue-pale {
    grid-row: 2;
    grid-column: 1 / -1;
  }
}
</style>
